curl --request PUT \
--url https://sandbox.nmbr.co/services/payroll/business_presets/{business_preset} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Holiday Bonus"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/business_presets/{business_preset}"
payload = { "title": "Holiday Bonus" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Holiday Bonus'})
};
fetch('https://sandbox.nmbr.co/services/payroll/business_presets/{business_preset}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "business_preset",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"name": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
"name_translations": null,
"name_translated": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
"title": "Holiday Bonus",
"title_translations": null,
"title_translated": "Holiday Bonus",
"type": "earning",
"subtype": "bonus_discretionary",
"remittance_account": null,
"is_managed": false,
"expense_accounting_code": null,
"liability_accounting_code": null,
"income_basis": null,
"income_includes": [],
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/business_presets/<id>"
}
}Update a business preset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Controls which preset values should be kept or updated on entities created from the preset when that value is updated on the preset. Defaults to none.
all, in_sync, non_null, none, out_of_sync 255255all_earnings, none, regular_earnings, total_income 255Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("business_preset").
Hide child attributes
Hide child attributes
255The translation of the name property for the request locale. Computed using the values in name and name_translations and the value of the request's Accept-Language header.
The translation of the title property for the request locale. Computed using the values in title and title_translations and the value of the request's Accept-Language header.
255255If true, this is a default Business Preset and can not be deleted, title and remittance_account may be set.
all_earnings, none, regular_earnings, total_income A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

